%define upstream_name	 MARC-Record
%define upstream_version 2.0.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    %{upstream_name} module for perl
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp.perl.org/pub/CPAN/modules/by-module/MARC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Module for handling MARC records as objects.
The file-handling stuff is in MARC::File::*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install
#chmod 644  $RPM_BUILD_ROOT/%{perl_vendorlib}/MARC/Record.pm
#chmod 644  $RPM_BUILD_ROOT/%{perl_vendorlib}/MARC/Field.pm

%files
%{_bindir}/marcdump
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/MARC
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0.7-6.mga10
+ Revision: 2204013
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.0.7-5.mga9
+ Revision: 1809580
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0.7-4.mga8
+ Revision: 1505010
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.7-3.mga7
+ Revision: 1284523
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.0.7-2.mga7
+ Revision: 1165291
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 2.0.7-1.mga7
+ Revision: 1158236
- update to 2.0.7
- update to 2.0.7

* Sun Jun 19 2016 pterjan <pterjan> 2.0.6-5.mga6
+ Revision: 1029525
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.0.6-4.mga6
+ Revision: 943560
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.6-3.mga5
+ Revision: 746864
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.6-2.mga5
+ Revision: 685283
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 2.0.6-1.mga5
+ Revision: 585199
- update to 2.0.6

* Sat Oct 19 2013 umeabot <umeabot> 2.0.5-2.mga4
+ Revision: 527089
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.0.5-1.mga4
+ Revision: 439485
- update to 2.0.5

* Sun Jan 13 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 369268
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 jquelin <jquelin> 2.0.3-1.mga1
+ Revision: 56622
- update to 2.0.3
- using %%perl_convert_version

* Thu Jan 20 2011 jquelin <jquelin> 2.0.2-1.mga1
+ Revision: 26476
- mageia rebuild
- imported package perl-MARC-Record


* Fri May 07 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.0.2-1mdv2010.1
+ Revision: 543146
- Update to 2.0.2

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.0.0-5mdv2010.0
+ Revision: 430498
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-4mdv2009.0
+ Revision: 257751
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-3mdv2009.0
+ Revision: 245821
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.0.0-1mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Feb 14 2007 Stéphane Téletchéa <steletch@mandriva.org> 2.0.0-1mdv2007.0
+ Revision: 120948
- Update to 2.0.0
- MARC::Lint is now in a separate module
- Import perl-MARC-Record

* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.38-2mdk
- Fix According to perl Policy
	- Source URL

* Thu May 04 2006 Jerome Soyer <saispo@mandriva.org> 1.38-1mdk
- From Stéphane Téletchéa <steletch@mandriva.org>
- Initial Mandriva release

